HAProxy Trash Buffer Overflow Vulnerability
PVS ID: 6900 FAMILY: Web Servers RISK: MEDIUM NESSUS ID:59798
Description: Synopsis :\n\nThe remote host is running a load balancer with a buffer overflow vulnerability.\n\nFor your information, the observed version of HAProxy installed on the remote host is : \n %L \n\nBased on the version obtained for HAProxy, the remote host is running load balancing software that is potentially affected by a buffer overflow vulnerability when copying data into the trash buffer.

Solution: Upgrade to HAProxy version 1.4.21 or higher

CVE-2012-2942


Copyright Tenable Network Security Inc. 2013